Browse Source

Integrate ntor test into the automake test suite.

cypherpunks 9 years ago
parent
commit
c535494238
4 changed files with 15 additions and 2 deletions
  1. 1 0
      .gitignore
  2. 1 0
      configure.ac
  3. 4 2
      src/test/include.am
  4. 9 0
      src/test/test_ntor.sh.in

+ 1 - 0
.gitignore

@@ -175,6 +175,7 @@ cscope.*
 /src/test/test-ntor-cl.exe
 /src/test/test_workqueue.exe
 /src/test/test_zero_length_keys.sh
+/src/test/test_ntor.sh
 
 # /src/tools/
 /src/tools/tor-checkkey

+ 1 - 0
configure.ac

@@ -1663,6 +1663,7 @@ AC_CONFIG_FILES([
         scripts/maint/checkOptionDocs.pl
         scripts/maint/updateVersions.pl
         src/test/test_zero_length_keys.sh
+        src/test/test_ntor.sh
 ])
 
 if test x$asciidoc = xtrue && test "$ASCIIDOC" = "none" ; then

+ 4 - 2
src/test/include.am

@@ -1,6 +1,10 @@
 TESTS += src/test/test src/test/test-slow src/test/test-memwipe \
 	src/test/test_zero_length_keys.sh
 
+if USEPYTHON
+TESTS += src/test/test_ntor.sh
+endif
+
 TEST_EXTENSIONS = .sh
 SH_LOG_COMPILER = $(SHELL)
 
@@ -169,8 +173,6 @@ src_test_test_bt_cl_CPPFLAGS= $(src_test_AM_CPPFLAGS) $(TEST_CPPFLAGS)
 
 check-local: $(NTOR_TEST_DEPS) $(CMDLINE_TEST_TOR)
 if USEPYTHON
-	$(PYTHON) $(top_srcdir)/src/test/ntor_ref.py test-tor
-	$(PYTHON) $(top_srcdir)/src/test/ntor_ref.py self-test
 	$(top_builddir)/src/test/test-bt-cl assert | $(PYTHON) $(top_srcdir)/src/test/bt_test.py
 	$(top_builddir)/src/test/test-bt-cl crash | $(PYTHON) $(top_srcdir)/src/test/bt_test.py
 endif

+ 9 - 0
src/test/test_ntor.sh.in

@@ -0,0 +1,9 @@
+#!/bin/sh
+# Validate Tor's ntor implementation.
+
+exitcode=0
+
+@PYTHON@ @abs_top_srcdir@/src/test/ntor_ref.py test-tor || exitcode=1
+@PYTHON@ @abs_top_srcdir@/src/test/ntor_ref.py self-test || exitcode=1
+
+exit ${exitcode}